2

error image

I've been trying to install Canon LBP 2900 driver on my Ubuntu 18.04 for the past few days. I tried following many tutorials such as How to install canon lbp2900b printer in ubuntu 16.04 lts, and also tried installing via GUI by downloading this driver. I'm having problems installing.

Preparing to unpack cndrvcups-capt_2.71-1_amd64.deb ...
Unpacking cndrvcups-capt (2.71-1) ...
dpkg: dependency problems prevent configuration of cndrvcups-capt:
cndrvcups-capt depends on cndrvcups-common (>= 3.21); however:
Version of cndrvcups-common on system is 2.60-1.

dpkg: error processing package cndrvcups-capt (--install):
dependency problems - leaving unconfigured
Processing triggers for systemd (237-3ubuntu10.2) ...
Processing triggers for ureadahead (0.100.0-20) ...
Errors were encountered while processing:
cndrvcups-capt

How can I get this printer working?

2
  • You need to get correct versions of driver packages (see cndrvcups-common (>= 3.21) above) from Canon site or wherever you downloaded it.
    – N0rbert
    Jul 23 '18 at 9:40
  • You can download libpng12 from 16.04 LTS repository and install it manually from terminal or with Gdebi.
    – N0rbert
    Jul 23 '18 at 9:53
3

Using the following method will definitely help Ubuntu 18.04 64-bit users to install and use their Canon LBP2900 printer, which otherwise can be a harrowing experience for the less experienced.

It will NOT help to use the official Linux (32 bit or 64 bit) LBP2900 driver from Canon

Download the Canon LBP2900 driver for 64-bit Ubuntu 18.04 from this page on the GitHub repo.

Then run the following commands in terminal:

sudo apt install build-essential git autoconf libtool libcups2-dev libcupsimage2-dev
git clone https://github.com/agalakhov/captdriver.git
cd captdriver
autoreconf -i
./configure
make
sudo cp src/rastertocapt /usr/lib/cups/filter/ 

(On some systems this might need to be /usr/libexec/cups/filter)

sudo cp Canon-LBP-2900.ppd /usr/share/ppd/custom/

Now open Settings > Printers and Add Printer > USB printer, selecting the driver Canon LBP-2900 CAPT GDI printer, 0.1.0 from the list, and complete the remaining steps.

Then click Apply and OK. Print a test page and your Canon LBP2900 printer is ready to print on 64 bit Ubuntu 18.04!

Note: Sometimes, printing gets stuck with the message Rendering completed. In that case, it helped to just turn the printer off and on again.

Please report success or problems...

1
  • It helped. I was unable to select the driver from list, but there is an option to select custom PPD file as a driver - that way it worked. Thanks!
    – Alex K.
    Nov 5 '18 at 12:18
1

You should uninstall all the old versions of packages before you try to install new ones. Your message says: cndrvcups-capt depends on cndrvcups-common (>= 3.21); however: Version of cndrvcups-common on system is 2.60-1.

So remove them both then start again:

sudo dpkg --purge cndrvcups-common cndrvcups-capt
0

so you need to go to the link that I gave in that other answer you referred to; the link you got the driver from is NOT an official Canon source; so best to avoid such links; do what I said in the other answer;

Not the answer you're looking for? Browse other questions tagged or ask your own question.